This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 166688 - Cannot select duplex -> "Not Capable" anymore
Cannot select duplex -> "Not Capable" anymore
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-24 13:19 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 10:43:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-08-24 13:19:51 EDT
Description of problem:
We have a HP LaserJet 5M.  The postscript driver Duplex option must be set to
"Not Capable" for it work.  This works in fc3 but no longer is an option in fc4.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116.1.4-1
Comment 1 Tim Waugh 2005-09-05 10:53:35 EDT
What goes wrong when "Double-Sided Printing" is set to "Off"?
Comment 2 Orion Poplawski 2005-09-12 11:20:38 EDT
Printer outputs:

ERROR: configurationerror
OFFENDING COMMAND: setpagedevice

Basically, it can't handle *any* setpagedevice command with duplex options. 
"Not Capable" would make it so that no duplex option command was sent.
Comment 3 Orion Poplawski 2006-01-18 16:14:52 EST
Recent foomatic update broke this again for me.  Can we plese fix this?  Here's
a diff of the bad and good .ppd file:

166c166
< *DefaultDuplex: None
---
> *DefaultDuplex: Notcapable
178a179,180
> *Duplex Notcapable/Not capable: "%% FoomaticRIPOptionSetting: Duplex=Notcapable"
> *FoomaticRIPOptionSetting Duplex=Notcapable: ""
Comment 4 Orion Poplawski 2006-03-31 18:55:23 EST
Still in FC5, though the PPD format has changed.  Now adding:

*Duplex Notcapable/Not capable: ""
*End

Is needed as well as setting DefaultDuplex: Notcapable.
Comment 5 Tim Waugh 2006-12-13 10:43:07 EST
In FC6 the relevant PPD has an 'InstallableOptions' section including a
duplex-installed option, and system-config-printer can configure this to 'not
installed'.

Note You need to log in before you can comment on or make changes to this bug.